Contacts

The endpoint for the Contacts dataset.

Retrieve multiple contacts based on search critera passed as GET Arguments

get/newsupporter/
Securityapi_key and username
Request
query Parameters
address_geocoded
boolean
archived
boolean
congressional_district_id
integer <int64>

The district with which this supporter is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
congressional_district__in - The value for the record is in the provided array parameter (comma-separated values).
congressional_district__isnull - The value for the record is null (if true) or is not null.

created
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
created__year, created__month, created__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

email
string

NOTE: Parameter accepts additional qualifiers appended to the end:
email__in - The value for the record is in the provided array parameter (comma-separated values).
email__contains, email__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
email__startswith, email__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
email__endswith, email__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
email__iexact - The value for the record is a case-insensitive exact match to the provided parameter.
email__isnull - The value for the record is null (if true) or is not null.

id
integer <int64>

Quorum ID (Primary Key)

is_collaborator_supporter
boolean

NOTE: Parameter accepts additional qualifiers appended to the end:
is_collaborator_supporter__isnull - The value for the record is null (if true) or is not null.

is_grassroots_supporter
boolean

NOTE: Parameter accepts additional qualifiers appended to the end:
is_grassroots_supporter__isnull - The value for the record is null (if true) or is not null.

is_stakeholder_supporter
boolean

NOTE: Parameter accepts additional qualifiers appended to the end:
is_stakeholder_supporter__isnull - The value for the record is null (if true) or is not null.

members
Array of integers <int64>

The newpersons that are associated with this supporter.

NOTE: Parameter accepts additional qualifiers appended to the end:
members__overlaps - The value for the record has one or more values in common with the provided array parameter (comma-separated values).

name
string

NOTE: Parameter accepts additional qualifiers appended to the end:
name__in - The value for the record is in the provided array parameter (comma-separated values).
name__contains, name__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
name__startswith, name__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
name__endswith, name__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
name__iexact - The value for the record is a case-insensitive exact match to the provided parameter.
name__isnull - The value for the record is null (if true) or is not null.

pac_conditional_giving_level
string

NOTE: Parameter accepts additional qualifiers appended to the end:
pac_conditional_giving_level__in - The value for the record is in the provided array parameter (comma-separated values).
pac_conditional_giving_level__contains, pac_conditional_giving_level__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
pac_conditional_giving_level__startswith, pac_conditional_giving_level__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
pac_conditional_giving_level__endswith, pac_conditional_giving_level__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
pac_conditional_giving_level__iexact - The value for the record is a case-insensitive exact match to the provided parameter.
pac_conditional_giving_level__isnull - The value for the record is null (if true) or is not null.

postal_code
string

NOTE: Parameter accepts additional qualifiers appended to the end:
postal_code__in - The value for the record is in the provided array parameter (comma-separated values).
postal_code__contains, postal_code__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
postal_code__startswith, postal_code__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
postal_code__endswith, postal_code__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
postal_code__iexact - The value for the record is a case-insensitive exact match to the provided parameter.
postal_code__isnull - The value for the record is null (if true) or is not null.

public_organization_id
integer <int64>

The publicorganization with which this supporter is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
public_organization__in - The value for the record is in the provided array parameter (comma-separated values).
public_organization__isnull - The value for the record is null (if true) or is not null.

region
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
region__in - The value for the record is in the provided array parameter (comma-separated values).
region__isnull - The value for the record is null (if true) or is not null.

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name Region, for an explanation of values.

Enum: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 200 201 202 203 204 205 206 207 208 209 210 211 212 213 214 215 216 217 218 219 220 221 222 223 224 225 226 227 228 229 230 231 232 233 234 235 236 237 238 239 240 241 242 1000
source_type
integer <int64>

NOTE: Parameter accepts additional qualifiers appended to the end:
source_type__in - The value for the record is in the provided array parameter (comma-separated values).

See the Enumeration Documentation CSV file located at Quorum_API_Enumeration_Values.csv, name UTMSourceType, for an explanation of values.

Enum: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25
state_id
integer <int64>

The state with which this supporter is associated.

NOTE: Parameter accepts additional qualifiers appended to the end:
state__in - The value for the record is in the provided array parameter (comma-separated values).
state__isnull - The value for the record is null (if true) or is not null.

title
string

NOTE: Parameter accepts additional qualifiers appended to the end:
title__in - The value for the record is in the provided array parameter (comma-separated values).
title__contains, title__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
title__startswith, title__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
title__endswith, title__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
title__iexact - The value for the record is a case-insensitive exact match to the provided parameter.
title__isnull - The value for the record is null (if true) or is not null.

unique_identifier
string

NOTE: Parameter accepts additional qualifiers appended to the end:
unique_identifier__in - The value for the record is in the provided array parameter (comma-separated values).
unique_identifier__contains, unique_identifier__icontains - The value for the record contains the string provided as a parameter within it (partial match). (Use 'icontains' for matching to be done case-insensitive)
unique_identifier__startswith, unique_identifier__istartswith - The value for the record starts with the string provided as a parameter. (Use 'istartswith' for matching to be done case-insensitive)
unique_identifier__endswith, unique_identifier__iendswith - The value for the record ends with the string provided as a parameter within it (partial match). (Use 'iendswith' for matching to be done case-insensitive)
unique_identifier__iexact - The value for the record is a case-insensitive exact match to the provided parameter.
unique_identifier__isnull - The value for the record is null (if true) or is not null.

unsubscribed_from_bulk_emails
boolean
updated
string <date-time>

NOTE: Parameter accepts additional qualifiers appended to the end:
updated__year, updated__month, updated__day - The value for the record matches the provided year/month/day (note that week_day, hour, minute, and second are also available following similar patterns).

valid_email
boolean
dehydrate
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.
calculated_unsubscribed_from_texting - expand calculated_unsubscribed_from_texting with additional details.
created - expand created with additional details.
formatted_primary_phone - expand formatted_primary_phone with additional details.
formatted_secondary_phone - expand formatted_secondary_phone with additional details.
pac_charity_additional_info - expand pac_charity_additional_info with additional details.
pac_charity_address - expand pac_charity_address with additional details.
pac_charity_anonymous - expand pac_charity_anonymous with additional details.
pac_charity_ein - expand pac_charity_ein with additional details.
pac_charity_name - expand pac_charity_name with additional details.
public_organization_name - expand public_organization_name with additional details.
public_organization_names - expand public_organization_names with additional details.
resource_uri - expand resource_uri with additional details.
tag_dict - expand tag_dict with additional details.
updated - expand updated with additional details.
validated_address - expand validated_address with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Enum: "calculated_unsubscribed_from_texting" "created" "formatted_primary_phone" "formatted_secondary_phone" "pac_charity_additional_info" "pac_charity_address" "pac_charity_anonymous" "pac_charity_ein" "pac_charity_name" "public_organization_name" "public_organization_names" "resource_uri" "tag_dict" "updated" "validated_address"
advanced_search
string

Perform an advanced text search on the datset with the provided text. This search will use the most comprehensive search method available on the requested endpoint, but can take slightly longer to return results.

quick_search
string

Perform an quick text search on the datset with the provided text. This search method may, depending on the endpoint, be exactly identical to advanced search, or may return results significantly more quickly but with less completeness or accuracy, for example by searching less fields, or using a faster algorithm to identify matches that has a greater propensity for false positives/false negatives.

limit
integer <int64>
Default: 20

The number of records to return (for pagination).

offset
integer <int64>
Default: 0

The number of records to offset the start of the data being returned (for pagination).

Responses
200

NewSupporter retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "activated": true,
  • "active": true,
  • "address": "string",
  • "address_geocoded": true,
  • "alert_cache": { },
  • "alternate_address": "string",
  • "archived": false,
  • "birthdate": "2019-08-24T14:15:22Z",
  • "bulk_email_unsubscribe_key": "",
  • "cached_limited_to_teams": [
    ],
  • "calculated_unsubscribed_from_texting": 0,
  • "city": "string",
  • "coordinates": "string",
  • "country_name": "string",
  • "county_name": "string",
  • "created": "2019-08-24T14:15:22Z",
  • "created_by": "/api/user/1/",
  • "date_unsubscribed_from_bulk_emails": "2019-08-24T14:15:22Z",
  • "date_unsubscribed_from_texting": "2019-08-24T14:15:22Z",
  • "email": "string",
  • "email_related_person": "/api/newperson/1/",
  • "employer": "string",
  • "extension": "string",
  • "facebook_array": [
    ],
  • "facebook_url_array": [
    ],
  • "fax": "",
  • "fb_id": 0,
  • "firstname": "string",
  • "formatted_primary_phone": "string",
  • "formatted_secondary_phone": "string",
  • "has_ever_received_email_dn": false,
  • "has_participated_in_any_campaign_dn": false,
  • "has_shared_campaign_on_social_dn": false,
  • "http_referer": "string",
  • "icon": "string",
  • "id": 0,
  • "image_url": "string",
  • "input_address": "string",
  • "instagram_array": [
    ],
  • "is_collaborator_supporter": true,
  • "is_grassroots_supporter": true,
  • "is_recently_active_email_recipient": false,
  • "is_stakeholder_supporter": true,
  • "last_action_date": "2019-08-24T14:15:22Z",
  • "last_activated_at": "2019-08-24T14:15:22Z",
  • "last_kind_action": 0,
  • "last_user": "/api/user/1/",
  • "lastname": "string",
  • "latitude": 0,
  • "limited_to_teams": [
    ],
  • "longitude": 0,
  • "major_organization_types": [
    ],
  • "medium_array": [
    ],
  • "middlename": "string",
  • "name": "string",
  • "num_actions": 0,
  • "num_campaigns_interacted": 0,
  • "occupation": "",
  • "pac_charity_additional_info": "string",
  • "pac_charity_address": "string",
  • "pac_charity_anonymous": true,
  • "pac_charity_ein": "string",
  • "pac_charity_name": "string",
  • "pac_charity_selection_date": "2019-08-24T14:15:22Z",
  • "pac_conditional_giving_level": "",
  • "pac_conditional_giving_level_deprecated": 0,
  • "pac_eligibilities": [
    ],
  • "pac_hybrid_eligible": false,
  • "pacc_individual_id": 0,
  • "pacc_organization_id": 0,
  • "pacc_version": 0,
  • "phone_number": "string",
  • "postal_code": "string",
  • "postal_code_ext": "string",
  • "preferred_name": "string",
  • "prefix": "string",
  • "public_organization": "/api/publicorganization/1/",
  • "public_organization_name": "string",
  • "public_organization_names": "string",
  • "public_organizations": [
    ],
  • "region": 1,
  • "registered_with_text_keyword": "string",
  • "resource_uri": "string",
  • "secondary_email": "string",
  • "secondary_extension": "string",
  • "secondary_phone": "string",
  • "should_display_in_external_logger": false,
  • "source_type": 1,
  • "state_abbreviation": "string",
  • "state_name": "string",
  • "street_address": "string",
  • "street_address_2": "string",
  • "stripe_customer_id": "string",
  • "suffix": "string",
  • "supporter_type": 1,
  • "tag_dict": { },
  • "title": "",
  • "twitter_array": [
    ],
  • "unique_identifier": "string",
  • "unsubscribed_from_bulk_emails": false,
  • "unsubscribed_from_texting": true,
  • "updated": "2019-08-24T14:15:22Z",
  • "user": "/api/user/1/",
  • "utm_campaign": "string",
  • "utm_content": "string",
  • "utm_medium": "string",
  • "utm_source": "string",
  • "utm_term": "string",
  • "valid_email": true,
  • "validated_address": true,
  • "waiting_to_be_created_by_user": false,
  • "website": "string",
  • "work_fax": "",
  • "work_phone": "",
  • "youtube_array": [
    ]
}

Create a single Contacts

post/newsupporter/
Securityapi_key and username
Request
path Parameters
id
required
integer <int64>

Quorum ID (Primary Key)

Request Body schema: application/json
address
string
alternate_address
string
archived
boolean
created_by_id
string <{"id": QUORUM_ID}>

The quorumuser with which this supporter is associated.

email
string
employer
string
extension
string
facebook_array
Array of strings
firstname
string
image_url
string
input_address
string
instagram_array
Array of strings
is_collaborator_supporter
boolean
is_grassroots_supporter
boolean
is_stakeholder_supporter
boolean
last_user_id
string <{"id": QUORUM_ID}>

The quorumuser with which this supporter is associated.

lastname
string
limited_to_teams
Array of strings <{"id": QUORUM_ID}>

The teams that are associated with this supporter.

medium_array
Array of strings
middlename
string
name
string
occupation
string
organization_id
string <{"id": QUORUM_ID}>

The organization with which this supporter is associated.

pac_conditional_giving_level
string
pac_eligibilities
Array of strings <{"id": QUORUM_ID}>

The ledgersettingss that are associated with this supporter.

pac_hybrid_eligible
boolean
phone_number
string
preferred_name
string
prefix
string
public_organization_id
string <{"id": QUORUM_ID}>

The publicorganization with which this supporter is associated.

public_organizations
Array of strings <{"id": QUORUM_ID}>

The publicorganizations that are associated with this supporter.

secondary_email
string
secondary_extension
string
secondary_phone
string
should_display_in_external_logger
boolean
suffix
string
tag_dict
string

String-encoded JSON Object. This field requires special handling.

title
string
twitter_array
Array of strings
unique_identifier
string
unsubscribed_from_bulk_emails
boolean
unsubscribed_from_texting
boolean
youtube_array
Array of strings
Responses
200

NewSupporter retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Request samples
application/json
{
  • "address": "string",
  • "alternate_address": "string",
  • "archived": true,
  • "created_by_id": "string",
  • "email": "string",
  • "employer": "string",
  • "extension": "string",
  • "facebook_array": [
    ],
  • "firstname": "string",
  • "image_url": "string",
  • "input_address": "string",
  • "instagram_array": [
    ],
  • "is_collaborator_supporter": true,
  • "is_grassroots_supporter": true,
  • "is_stakeholder_supporter": true,
  • "last_user_id": "string",
  • "lastname": "string",
  • "limited_to_teams": [
    ],
  • "medium_array": [
    ],
  • "middlename": "string",
  • "name": "string",
  • "occupation": "string",
  • "organization_id": "string",
  • "pac_conditional_giving_level": "string",
  • "pac_eligibilities": [
    ],
  • "pac_hybrid_eligible": true,
  • "phone_number": "string",
  • "preferred_name": "string",
  • "prefix": "string",
  • "public_organization_id": "string",
  • "public_organizations": [
    ],
  • "secondary_email": "string",
  • "secondary_extension": "string",
  • "secondary_phone": "string",
  • "should_display_in_external_logger": true,
  • "suffix": "string",
  • "tag_dict": "string",
  • "title": "string",
  • "twitter_array": [
    ],
  • "unique_identifier": "string",
  • "unsubscribed_from_bulk_emails": true,
  • "unsubscribed_from_texting": true,
  • "youtube_array": [
    ]
}
Response samples
application/json
{
  • "_extra": { },
  • "activated": true,
  • "active": true,
  • "address": "string",
  • "address_geocoded": true,
  • "alert_cache": { },
  • "alternate_address": "string",
  • "archived": false,
  • "birthdate": "2019-08-24T14:15:22Z",
  • "bulk_email_unsubscribe_key": "",
  • "cached_limited_to_teams": [
    ],
  • "calculated_unsubscribed_from_texting": 0,
  • "city": "string",
  • "coordinates": "string",
  • "country_name": "string",
  • "county_name": "string",
  • "created": "2019-08-24T14:15:22Z",
  • "created_by": "/api/user/1/",
  • "date_unsubscribed_from_bulk_emails": "2019-08-24T14:15:22Z",
  • "date_unsubscribed_from_texting": "2019-08-24T14:15:22Z",
  • "email": "string",
  • "email_related_person": "/api/newperson/1/",
  • "employer": "string",
  • "extension": "string",
  • "facebook_array": [
    ],
  • "facebook_url_array": [
    ],
  • "fax": "",
  • "fb_id": 0,
  • "firstname": "string",
  • "formatted_primary_phone": "string",
  • "formatted_secondary_phone": "string",
  • "has_ever_received_email_dn": false,
  • "has_participated_in_any_campaign_dn": false,
  • "has_shared_campaign_on_social_dn": false,
  • "http_referer": "string",
  • "icon": "string",
  • "id": 0,
  • "image_url": "string",
  • "input_address": "string",
  • "instagram_array": [
    ],
  • "is_collaborator_supporter": true,
  • "is_grassroots_supporter": true,
  • "is_recently_active_email_recipient": false,
  • "is_stakeholder_supporter": true,
  • "last_action_date": "2019-08-24T14:15:22Z",
  • "last_activated_at": "2019-08-24T14:15:22Z",
  • "last_kind_action": 0,
  • "last_user": "/api/user/1/",
  • "lastname": "string",
  • "latitude": 0,
  • "limited_to_teams": [
    ],
  • "longitude": 0,
  • "major_organization_types": [
    ],
  • "medium_array": [
    ],
  • "middlename": "string",
  • "name": "string",
  • "num_actions": 0,
  • "num_campaigns_interacted": 0,
  • "occupation": "",
  • "pac_charity_additional_info": "string",
  • "pac_charity_address": "string",
  • "pac_charity_anonymous": true,
  • "pac_charity_ein": "string",
  • "pac_charity_name": "string",
  • "pac_charity_selection_date": "2019-08-24T14:15:22Z",
  • "pac_conditional_giving_level": "",
  • "pac_conditional_giving_level_deprecated": 0,
  • "pac_eligibilities": [
    ],
  • "pac_hybrid_eligible": false,
  • "pacc_individual_id": 0,
  • "pacc_organization_id": 0,
  • "pacc_version": 0,
  • "phone_number": "string",
  • "postal_code": "string",
  • "postal_code_ext": "string",
  • "preferred_name": "string",
  • "prefix": "string",
  • "public_organization": "/api/publicorganization/1/",
  • "public_organization_name": "string",
  • "public_organization_names": "string",
  • "public_organizations": [
    ],
  • "region": 1,
  • "registered_with_text_keyword": "string",
  • "resource_uri": "string",
  • "secondary_email": "string",
  • "secondary_extension": "string",
  • "secondary_phone": "string",
  • "should_display_in_external_logger": false,
  • "source_type": 1,
  • "state_abbreviation": "string",
  • "state_name": "string",
  • "street_address": "string",
  • "street_address_2": "string",
  • "stripe_customer_id": "string",
  • "suffix": "string",
  • "supporter_type": 1,
  • "tag_dict": { },
  • "title": "",
  • "twitter_array": [
    ],
  • "unique_identifier": "string",
  • "unsubscribed_from_bulk_emails": false,
  • "unsubscribed_from_texting": true,
  • "updated": "2019-08-24T14:15:22Z",
  • "user": "/api/user/1/",
  • "utm_campaign": "string",
  • "utm_content": "string",
  • "utm_medium": "string",
  • "utm_source": "string",
  • "utm_term": "string",
  • "valid_email": true,
  • "validated_address": true,
  • "waiting_to_be_created_by_user": false,
  • "website": "string",
  • "work_fax": "",
  • "work_phone": "",
  • "youtube_array": [
    ]
}

Retrieve information on a single Contact

get/newsupporter/{id}/
Securityapi_key and username
Request
path Parameters
id
required
integer <int64>

Quorum ID (Primary Key)

query Parameters
dehydrate
Array of strings

Option to provide additional detail for certain fields, either by expanding those fields with additional details from the related model or by substituting more informative values for the actual database values.
calculated_unsubscribed_from_texting - expand calculated_unsubscribed_from_texting with additional details.
created - expand created with additional details.
formatted_primary_phone - expand formatted_primary_phone with additional details.
formatted_secondary_phone - expand formatted_secondary_phone with additional details.
pac_charity_additional_info - expand pac_charity_additional_info with additional details.
pac_charity_address - expand pac_charity_address with additional details.
pac_charity_anonymous - expand pac_charity_anonymous with additional details.
pac_charity_ein - expand pac_charity_ein with additional details.
pac_charity_name - expand pac_charity_name with additional details.
public_organization_name - expand public_organization_name with additional details.
public_organization_names - expand public_organization_names with additional details.
resource_uri - expand resource_uri with additional details.
tag_dict - expand tag_dict with additional details.
updated - expand updated with additional details.
validated_address - expand validated_address with additional details.
NOTE: This parameter can accept one or more comma-separated values; it is not limited to a single value.

Items Enum: "calculated_unsubscribed_from_texting" "created" "formatted_primary_phone" "formatted_secondary_phone" "pac_charity_additional_info" "pac_charity_address" "pac_charity_anonymous" "pac_charity_ein" "pac_charity_name" "public_organization_name" "public_organization_names" "resource_uri" "tag_dict" "updated" "validated_address"
Responses
200

NewSupporter retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Response samples
application/json
{
  • "_extra": { },
  • "activated": true,
  • "active": true,
  • "address": "string",
  • "address_geocoded": true,
  • "alert_cache": { },
  • "alternate_address": "string",
  • "archived": false,
  • "birthdate": "2019-08-24T14:15:22Z",
  • "bulk_email_unsubscribe_key": "",
  • "cached_limited_to_teams": [
    ],
  • "calculated_unsubscribed_from_texting": 0,
  • "city": "string",
  • "coordinates": "string",
  • "country_name": "string",
  • "county_name": "string",
  • "created": "2019-08-24T14:15:22Z",
  • "created_by": "/api/user/1/",
  • "date_unsubscribed_from_bulk_emails": "2019-08-24T14:15:22Z",
  • "date_unsubscribed_from_texting": "2019-08-24T14:15:22Z",
  • "email": "string",
  • "email_related_person": "/api/newperson/1/",
  • "employer": "string",
  • "extension": "string",
  • "facebook_array": [
    ],
  • "facebook_url_array": [
    ],
  • "fax": "",
  • "fb_id": 0,
  • "firstname": "string",
  • "formatted_primary_phone": "string",
  • "formatted_secondary_phone": "string",
  • "has_ever_received_email_dn": false,
  • "has_participated_in_any_campaign_dn": false,
  • "has_shared_campaign_on_social_dn": false,
  • "http_referer": "string",
  • "icon": "string",
  • "id": 0,
  • "image_url": "string",
  • "input_address": "string",
  • "instagram_array": [
    ],
  • "is_collaborator_supporter": true,
  • "is_grassroots_supporter": true,
  • "is_recently_active_email_recipient": false,
  • "is_stakeholder_supporter": true,
  • "last_action_date": "2019-08-24T14:15:22Z",
  • "last_activated_at": "2019-08-24T14:15:22Z",
  • "last_kind_action": 0,
  • "last_user": "/api/user/1/",
  • "lastname": "string",
  • "latitude": 0,
  • "limited_to_teams": [
    ],
  • "longitude": 0,
  • "major_organization_types": [
    ],
  • "medium_array": [
    ],
  • "middlename": "string",
  • "name": "string",
  • "num_actions": 0,
  • "num_campaigns_interacted": 0,
  • "occupation": "",
  • "pac_charity_additional_info": "string",
  • "pac_charity_address": "string",
  • "pac_charity_anonymous": true,
  • "pac_charity_ein": "string",
  • "pac_charity_name": "string",
  • "pac_charity_selection_date": "2019-08-24T14:15:22Z",
  • "pac_conditional_giving_level": "",
  • "pac_conditional_giving_level_deprecated": 0,
  • "pac_eligibilities": [
    ],
  • "pac_hybrid_eligible": false,
  • "pacc_individual_id": 0,
  • "pacc_organization_id": 0,
  • "pacc_version": 0,
  • "phone_number": "string",
  • "postal_code": "string",
  • "postal_code_ext": "string",
  • "preferred_name": "string",
  • "prefix": "string",
  • "public_organization": "/api/publicorganization/1/",
  • "public_organization_name": "string",
  • "public_organization_names": "string",
  • "public_organizations": [
    ],
  • "region": 1,
  • "registered_with_text_keyword": "string",
  • "resource_uri": "string",
  • "secondary_email": "string",
  • "secondary_extension": "string",
  • "secondary_phone": "string",
  • "should_display_in_external_logger": false,
  • "source_type": 1,
  • "state_abbreviation": "string",
  • "state_name": "string",
  • "street_address": "string",
  • "street_address_2": "string",
  • "stripe_customer_id": "string",
  • "suffix": "string",
  • "supporter_type": 1,
  • "tag_dict": { },
  • "title": "",
  • "twitter_array": [
    ],
  • "unique_identifier": "string",
  • "unsubscribed_from_bulk_emails": false,
  • "unsubscribed_from_texting": true,
  • "updated": "2019-08-24T14:15:22Z",
  • "user": "/api/user/1/",
  • "utm_campaign": "string",
  • "utm_content": "string",
  • "utm_medium": "string",
  • "utm_source": "string",
  • "utm_term": "string",
  • "valid_email": true,
  • "validated_address": true,
  • "waiting_to_be_created_by_user": false,
  • "website": "string",
  • "work_fax": "",
  • "work_phone": "",
  • "youtube_array": [
    ]
}

Update a single Contacts by ID

patch/newsupporter/{id}/
Securityapi_key and username
Request
path Parameters
id
required
integer <int64>

Quorum ID (Primary Key)

Request Body schema: application/json
address
string
alternate_address
string
archived
boolean
created_by_id
string <{"id": QUORUM_ID}>

The quorumuser with which this supporter is associated.

email
string
employer
string
extension
string
facebook_array
Array of strings
firstname
string
image_url
string
input_address
string
instagram_array
Array of strings
is_collaborator_supporter
boolean
is_grassroots_supporter
boolean
is_stakeholder_supporter
boolean
last_user_id
string <{"id": QUORUM_ID}>

The quorumuser with which this supporter is associated.

lastname
string
limited_to_teams
Array of strings <{"id": QUORUM_ID}>

The teams that are associated with this supporter.

medium_array
Array of strings
middlename
string
name
string
occupation
string
organization_id
string <{"id": QUORUM_ID}>

The organization with which this supporter is associated.

pac_conditional_giving_level
string
pac_eligibilities
Array of strings <{"id": QUORUM_ID}>

The ledgersettingss that are associated with this supporter.

pac_hybrid_eligible
boolean
phone_number
string
preferred_name
string
prefix
string
public_organization_id
string <{"id": QUORUM_ID}>

The publicorganization with which this supporter is associated.

public_organizations
Array of strings <{"id": QUORUM_ID}>

The publicorganizations that are associated with this supporter.

secondary_email
string
secondary_extension
string
secondary_phone
string
should_display_in_external_logger
boolean
suffix
string
tag_dict
string

String-encoded JSON Object. This field requires special handling.

title
string
twitter_array
Array of strings
unique_identifier
string
unsubscribed_from_bulk_emails
boolean
unsubscribed_from_texting
boolean
youtube_array
Array of strings
Responses
200

NewSupporter retrieved successfully

400

improperly configured request

401

authorization failure

500

internal server error

Request samples
application/json
{
  • "address": "string",
  • "alternate_address": "string",
  • "archived": true,
  • "created_by_id": "string",
  • "email": "string",
  • "employer": "string",
  • "extension": "string",
  • "facebook_array": [
    ],
  • "firstname": "string",
  • "image_url": "string",
  • "input_address": "string",
  • "instagram_array": [
    ],
  • "is_collaborator_supporter": true,
  • "is_grassroots_supporter": true,
  • "is_stakeholder_supporter": true,
  • "last_user_id": "string",
  • "lastname": "string",
  • "limited_to_teams": [
    ],
  • "medium_array": [
    ],
  • "middlename": "string",
  • "name": "string",
  • "occupation": "string",
  • "organization_id": "string",
  • "pac_conditional_giving_level": "string",
  • "pac_eligibilities": [
    ],
  • "pac_hybrid_eligible": true,
  • "phone_number": "string",
  • "preferred_name": "string",
  • "prefix": "string",
  • "public_organization_id": "string",
  • "public_organizations": [
    ],
  • "secondary_email": "string",
  • "secondary_extension": "string",
  • "secondary_phone": "string",
  • "should_display_in_external_logger": true,
  • "suffix": "string",
  • "tag_dict": "string",
  • "title": "string",
  • "twitter_array": [
    ],
  • "unique_identifier": "string",
  • "unsubscribed_from_bulk_emails": true,
  • "unsubscribed_from_texting": true,
  • "youtube_array": [
    ]
}
Response samples
application/json
{
  • "_extra": { },
  • "activated": true,
  • "active": true,
  • "address": "string",
  • "address_geocoded": true,
  • "alert_cache": { },
  • "alternate_address": "string",
  • "archived": false,
  • "birthdate": "2019-08-24T14:15:22Z",
  • "bulk_email_unsubscribe_key": "",
  • "cached_limited_to_teams": [
    ],
  • "calculated_unsubscribed_from_texting": 0,
  • "city": "string",
  • "coordinates": "string",
  • "country_name": "string",
  • "county_name": "string",
  • "created": "2019-08-24T14:15:22Z",
  • "created_by": "/api/user/1/",
  • "date_unsubscribed_from_bulk_emails": "2019-08-24T14:15:22Z",
  • "date_unsubscribed_from_texting": "2019-08-24T14:15:22Z",
  • "email": "string",
  • "email_related_person": "/api/newperson/1/",
  • "employer": "string",
  • "extension": "string",
  • "facebook_array": [
    ],
  • "facebook_url_array": [
    ],
  • "fax": "",
  • "fb_id": 0,
  • "firstname": "string",
  • "formatted_primary_phone": "string",
  • "formatted_secondary_phone": "string",
  • "has_ever_received_email_dn": false,
  • "has_participated_in_any_campaign_dn": false,
  • "has_shared_campaign_on_social_dn": false,
  • "http_referer": "string",
  • "icon": "string",
  • "id": 0,
  • "image_url": "string",
  • "input_address": "string",
  • "instagram_array": [
    ],
  • "is_collaborator_supporter": true,
  • "is_grassroots_supporter": true,
  • "is_recently_active_email_recipient": false,
  • "is_stakeholder_supporter": true,
  • "last_action_date": "2019-08-24T14:15:22Z",
  • "last_activated_at": "2019-08-24T14:15:22Z",
  • "last_kind_action": 0,
  • "last_user": "/api/user/1/",
  • "lastname": "string",
  • "latitude": 0,
  • "limited_to_teams": [
    ],
  • "longitude": 0,
  • "major_organization_types": [
    ],
  • "medium_array": [
    ],
  • "middlename": "string",
  • "name": "string",
  • "num_actions": 0,
  • "num_campaigns_interacted": 0,
  • "occupation": "",
  • "pac_charity_additional_info": "string",
  • "pac_charity_address": "string",
  • "pac_charity_anonymous": true,
  • "pac_charity_ein": "string",
  • "pac_charity_name": "string",
  • "pac_charity_selection_date": "2019-08-24T14:15:22Z",
  • "pac_conditional_giving_level": "",
  • "pac_conditional_giving_level_deprecated": 0,
  • "pac_eligibilities": [
    ],
  • "pac_hybrid_eligible": false,
  • "pacc_individual_id": 0,
  • "pacc_organization_id": 0,
  • "pacc_version": 0,
  • "phone_number": "string",
  • "postal_code": "string",
  • "postal_code_ext": "string",
  • "preferred_name": "string",
  • "prefix": "string",
  • "public_organization": "/api/publicorganization/1/",
  • "public_organization_name": "string",
  • "public_organization_names": "string",
  • "public_organizations": [
    ],
  • "region": 1,
  • "registered_with_text_keyword": "string",
  • "resource_uri": "string",
  • "secondary_email": "string",
  • "secondary_extension": "string",
  • "secondary_phone": "string",
  • "should_display_in_external_logger": false,
  • "source_type": 1,
  • "state_abbreviation": "string",
  • "state_name": "string",
  • "street_address": "string",
  • "street_address_2": "string",
  • "stripe_customer_id": "string",
  • "suffix": "string",
  • "supporter_type": 1,
  • "tag_dict": { },
  • "title": "",
  • "twitter_array": [
    ],
  • "unique_identifier": "string",
  • "unsubscribed_from_bulk_emails": false,
  • "unsubscribed_from_texting": true,
  • "updated": "2019-08-24T14:15:22Z",
  • "user": "/api/user/1/",
  • "utm_campaign": "string",
  • "utm_content": "string",
  • "utm_medium": "string",
  • "utm_source": "string",
  • "utm_term": "string",
  • "valid_email": true,
  • "validated_address": true,
  • "waiting_to_be_created_by_user": false,
  • "website": "string",
  • "work_fax": "",
  • "work_phone": "",
  • "youtube_array": [
    ]
}